%global srcname sphinx-copybutton

Name:           python-%{srcname}
Version:        0.5.1
Release:        %mkrel 1
Summary:        Add a copy button to code cells in Sphinx docs
Group:          Development/Python
License:        MIT
URL:            https://sphinx-copybutton.readthedocs.io/en/latest/
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(ipython)

# This can be removed when Mageia 9 reaches EOL
Obsoletes:      %{name}-doc < 0.4.0-4
Provides:       %{name}-doc = %{version}-%{release}

%description
A small sphinx extension to add a "copy" button to code blocks.

%package -n     python3-%{srcname}
Summary:        Add a copy button to code cells in Sphinx docs
Group:          Development/Python
%{?python_provide:%python_provide python3-%{srcname}}

%description -n python3-%{srcname}
A small sphinx extension to add a "copy" button to code blocks.

%prep
%autosetup -n %{srcname}-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sphinx_copybutton

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
%license LICENSE


%changelog
* Sun Nov 27 2022 daviddavid <daviddavid> 0.5.1-1.mga9
+ Revision: 1911988
- new version: 0.5.1

* Sat Nov 19 2022 neoclust <neoclust> 0.5.0-1.mga9
+ Revision: 1908759
- New version  0.5.0

* Wed Mar 30 2022 umeabot <umeabot> 0.4.0-3.mga9
+ Revision: 1833789
- Mageia 9 Mass Rebuild

* Sun Feb 13 2022 tv <tv> 0.4.0-2.mga9
+ Revision: 1773797
- Rebuild for python-3.10
+ wally <wally>
- new version 0.4.0

* Mon Apr 19 2021 daviddavid <daviddavid> 0.3.1-1.mga9
+ Revision: 1717153
- initial package python-sphinx-copybutton

